﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_create_runtime_controls
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private int X1 = 12;
        private int Y1 = 41;

        // Create a new button on the form.
        private void btnCreateButton_Click(object sender, EventArgs e)
        {
            // Make a new button similar to the old one.
            Button btn = new Button();
            btn.Text = btnCreateButton.Text;
            btn.Size = btnCreateButton.Size;
            btn.Left = X1;
            btn.Top = Y1;
            Y1 += btn.Height + 6;

            // Add this event handler to the button.
            btn.Click += btnCreateButton_Click;

            // Place the button on the form.
            btn.Parent = this;
        }

        private int X2 = 21;
        private int Y2 = 48;

        // Create a new button inside the GroupBox.
        private void btnCreateGroupButton_Click(object sender, EventArgs e)
        {
            // Make a new button similar to the old one.
            Button btn = new Button();
            btn.Text = btnCreateGroupButton.Text;
            btn.Size = btnCreateGroupButton.Size;
            btn.Left = X2;
            btn.Top = Y2;
            Y2 += btn.Height + 6;

            // Add this event handler to the button.
            btn.Click += btnCreateGroupButton_Click;

            // Place the button inside the GroupBox.
            btn.Parent = grpMoreButtons;
        }
    }
}
